dnl TI_CHECK_BACKEND(backend-name, test-command)
AC_DEFUN([TI_CHECK_BACKEND],[
AC_MSG_CHECKING(for $1 backend)
override=""
if $2; then
  GASNET_IF_DISABLED($1,Disable use of the $1 backend (if available),
    override=yes)  
  if test "$override" = "yes" ; then
    enable_[]patsubst([$1], -, _)=no
    override=" (disabled from configure command-line)"
  else
    BACKENDS="$BACKENDS $1"
    enable_[]patsubst([$1], -, _)=yes
  fi
else
  enable_[]patsubst([$1], -, _)=no
fi
AC_MSG_RESULT($enable_[]patsubst([$1], -, _)$override)
])

dnl TI_TCBUILD_CFLAGS(name, description, action-if-not-set)
AC_DEFUN([TI_TCBUILD_CFLAGS],[
  AC_MSG_CHECKING(tcbuild $2 flags)
  AC_ARG_WITH(tcbuild-cflags-$1,
    GASNET_OPTION_HELP(with-tcbuild-cflags-$1=FLAGS,$2 flags used by tcbuild),
    ,
    [$3])
  TCBUILD_CFLAGS_[]translit($1, [a-z], [A-Z])="$withval"
  AC_SUBST(TCBUILD_CFLAGS_[]translit($1, [a-z], [A-Z]))
  AC_MSG_RESULT($withval)])

