

install-tlib-java: 
	@for file in $(tlib_dirs) ; do					\
	  if test -f "$(top_srcdir)/tlib/$(tlib_root)/$$file" ; then	\
            if test `basename $$file .java` != "$$file" -o		\
                    `basename $$file .ti` != "$$file" -o 	   	\
                    `basename $$file .cti` != "$$file" ; then		\
	       echo "Installing tlib-java file: $(tlib_root)/$$file" ;	\
	       $(mkinstalldirs) "$(DESTDIR)$(datadir)/tlib/$(tlib_root)" ; \
	       $(INSTALL_DATA) "$(top_srcdir)/tlib/$(tlib_root)/$$file" \
                      "$(DESTDIR)$(datadir)/tlib/$(tlib_root)/$$file" ; \
	    fi ;							\
	  elif test -d "$(top_srcdir)/tlib/$(tlib_root)/$$file" ; then	\
	    files=`/bin/ls $(top_srcdir)/tlib/$(tlib_root)/$$file` ; 	\
	    files=`echo $$files` ; 					\
	    $(MAKE) tlib_dirs="$$files"	tlib_root="$(tlib_root)/$$file" install-tlib-java ; \
	  else								\
	    echo "INTERNAL ERROR: bad tlib_dirs file: $$file   tlib_root=$(tlib_root)" ; \
	  fi								\
	done

uninstall-tlib-java:
	rm -Rf "$(DESTDIR)$(datadir)/tlib/$(tlib_root)"

